# Generated by Django 4.1.3 on 2023-12-14 14:26

import ckeditor.fields
from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import resumes.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='BasicInfo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('gmt_created', models.DateTimeField(auto_now_add=True, help_text='该对象的创建日期', verbose_name='创建日期')),
                ('gmt_modified', models.DateTimeField(auto_now=True, help_text='该对象的修改日期', verbose_name='修改日期')),
                ('name_cn', models.CharField(help_text='您的姓名', max_length=64, verbose_name='姓名')),
                ('name_en', models.CharField(default='', help_text='您的英文名字(可不填)', max_length=64, verbose_name='英文名称')),
                ('sex', models.CharField(choices=[('1', '男性'), ('2', '女性'), ('9', '其它')], help_text='性别', max_length=2, verbose_name='性别')),
                ('expected_position', models.CharField(help_text='您的期望岗位', max_length=64, verbose_name='期望岗位')),
                ('phone', models.CharField(help_text='为了方便联系到您', max_length=64, null=True, validators=[resumes.models.validate_phone], verbose_name='您的手机号码')),
                ('avatar', models.ImageField(null=True, upload_to='images/%Y', verbose_name='您的头像')),
                ('email', models.EmailField(help_text='您的电子邮箱', max_length=256, verbose_name='电子邮箱')),
                ('evaluation', ckeditor.fields.RichTextField(default='', help_text='填写你对自己的评价', verbose_name='自我描述')),
                ('hobby', ckeditor.fields.RichTextField(default='', help_text='填写你感兴趣的方面', verbose_name='兴趣爱好')),
                ('href', models.URLField(blank=True, default='', help_text='github地址', null=True, verbose_name='你的github地址')),
                ('creator', models.ForeignKey(help_text='该对象的创建人', on_delete=django.db.models.deletion.PROTECT, related_name='%(app_label)s_%(class)s_creator', to=settings.AUTH_USER_MODEL, verbose_name='创建人')),
                ('updater', models.ForeignKey(default=1, help_text='该对象的修改人', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='%(app_label)s_%(class)s_operator', to=settings.AUTH_USER_MODEL, verbose_name='修改人')),
                ('user', models.ForeignKey(help_text='用于生成网址的唯一性,先到先得原则, 简历预览地址为:<B> http://localhost:8000/resume/show/</B>', null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL, verbose_name='用户名')),
            ],
            options={
                'verbose_name': '简历基本信息',
                'verbose_name_plural': '简历基本信息',
            },
        ),
        migrations.CreateModel(
            name='WorkExperience',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('gmt_created', models.DateTimeField(auto_now_add=True, help_text='该对象的创建日期', verbose_name='创建日期')),
                ('gmt_modified', models.DateTimeField(auto_now=True, help_text='该对象的修改日期', verbose_name='修改日期')),
                ('company', models.CharField(help_text='您的工作单位', max_length=255, verbose_name='工作单位')),
                ('gmt_duration_start', models.DateField(help_text='工作开始时间', verbose_name='工作开始时间')),
                ('gmt_duration_end', models.DateField(blank=True, help_text='工作结束时间', null=True, verbose_name='工作结束时间')),
                ('work_position', models.CharField(help_text='工作岗位', max_length=64, verbose_name='工作岗位')),
                ('work_desc', ckeditor.fields.RichTextField(help_text='工作内容描述', verbose_name='工作内容')),
                ('used_tech', models.TextField(help_text='工作中使用到的技术,多个技术时,请使用逗号,进行分开', max_length=255, verbose_name='使用到的技术')),
                ('creator', models.ForeignKey(help_text='该对象的创建人', on_delete=django.db.models.deletion.PROTECT, related_name='%(app_label)s_%(class)s_creator', to=settings.AUTH_USER_MODEL, verbose_name='创建人')),
                ('resume', models.ForeignKey(help_text='简历所属人', on_delete=django.db.models.deletion.CASCADE, to='resumes.basicinfo', verbose_name='简历所属人')),
                ('updater', models.ForeignKey(default=1, help_text='该对象的修改人', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='%(app_label)s_%(class)s_operator', to=settings.AUTH_USER_MODEL, verbose_name='修改人')),
            ],
            options={
                'verbose_name': '工作经验信息',
                'verbose_name_plural': '工作经验信息',
            },
        ),
        migrations.CreateModel(
            name='Skill',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('gmt_created', models.DateTimeField(auto_now_add=True, help_text='该对象的创建日期', verbose_name='创建日期')),
                ('gmt_modified', models.DateTimeField(auto_now=True, help_text='该对象的修改日期', verbose_name='修改日期')),
                ('skill', models.CharField(help_text='技能描述', max_length=32, verbose_name='技能')),
                ('percent', models.PositiveSmallIntegerField(help_text='技能掌握程度', validators=[django.core.validators.MaxValueValidator(100), django.core.validators.MinValueValidator(1)], verbose_name='掌握程度')),
                ('creator', models.ForeignKey(help_text='该对象的创建人', on_delete=django.db.models.deletion.PROTECT, related_name='%(app_label)s_%(class)s_creator', to=settings.AUTH_USER_MODEL, verbose_name='创建人')),
                ('resume', models.ForeignKey(help_text='简历所属人', on_delete=django.db.models.deletion.CASCADE, to='resumes.basicinfo', verbose_name='简历所属人')),
                ('updater', models.ForeignKey(default=1, help_text='该对象的修改人', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='%(app_label)s_%(class)s_operator', to=settings.AUTH_USER_MODEL, verbose_name='修改人')),
            ],
            options={
                'verbose_name': '技能信息',
                'verbose_name_plural': '技能信息',
            },
        ),
        migrations.CreateModel(
            name='Education',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('gmt_created', models.DateTimeField(auto_now_add=True, help_text='该对象的创建日期', verbose_name='创建日期')),
                ('gmt_modified', models.DateTimeField(auto_now=True, help_text='该对象的修改日期', verbose_name='修改日期')),
                ('edu_unit', models.CharField(help_text='教育单位/机构', max_length=64, verbose_name='教育单位/机构')),
                ('edu_desc', ckeditor.fields.RichTextField(help_text='描述一下你的教育经历', verbose_name='教育描述')),
                ('certificate', models.CharField(help_text='获取的证书名称', max_length=128, verbose_name='证书')),
                ('gmt_education_start', models.DateField(help_text='教育开始时间', verbose_name='教育开始时间')),
                ('gmt_education_end', models.DateField(blank=True, help_text='教育结束时间', null=True, verbose_name='教育结束时间')),
                ('creator', models.ForeignKey(help_text='该对象的创建人', on_delete=django.db.models.deletion.PROTECT, related_name='%(app_label)s_%(class)s_creator', to=settings.AUTH_USER_MODEL, verbose_name='创建人')),
                ('resume', models.ForeignKey(help_text='简历所属人', on_delete=django.db.models.deletion.CASCADE, to='resumes.basicinfo', verbose_name='简历所属人')),
                ('updater', models.ForeignKey(default=1, help_text='该对象的修改人', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='%(app_label)s_%(class)s_operator', to=settings.AUTH_USER_MODEL, verbose_name='修改人')),
            ],
            options={
                'verbose_name': '教育信息',
                'verbose_name_plural': '教育信息',
            },
        ),
    ]
